/* --COPYRIGHT--,BSD
 * Copyright (c) 2017, Texas Instruments Incorporated
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * *  Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 * *  Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * *  Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 * AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 * THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 * CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 * EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 * --/COPYRIGHT--*/

#include <tps6594BinSource.h>

const TPS6594_DATA userDataImage[USER_DATA_SIZE] =
{
    {0x0004, 0x22},
    {0x0005, 0x2a},
    {0x0006, 0x22},
    {0x0007, 0x2a},
    {0x0008, 0x22},
    {0x0009, 0x15},
    {0x000a, 0x22},
    {0x000b, 0x22},
    {0x000c, 0x22},
    {0x000d, 0x1a},
    {0x000e, 0x4b},
    {0x000f, 0x00},
    {0x0010, 0x4b},
    {0x0011, 0x00},
    {0x0012, 0x73},
    {0x0013, 0x00},
    {0x0014, 0x7d},
    {0x0015, 0x00},
    {0x0016, 0x0f},
    {0x0017, 0x00},
    {0x0018, 0x3f},
    {0x0019, 0x3f},
    {0x001a, 0x1b},
    {0x001b, 0x1b},
    {0x001c, 0x1b},
    {0x001d, 0x20},
    {0x001e, 0x20},
    {0x001f, 0x20},
    {0x0020, 0x20},
    {0x0023, 0x74},
    {0x0024, 0x74},
    {0x0025, 0x54},
    {0x0026, 0x20},
    {0x0027, 0x1b},
    {0x0028, 0x1b},
    {0x0029, 0x1b},
    {0x002a, 0x1b},
    {0x002b, 0x21},
    {0x002c, 0x3f},
    {0x0031, 0x22},
    {0x0032, 0x42},
    {0x0033, 0x01},
    {0x0034, 0x88},
    {0x0035, 0x28},
    {0x0036, 0x21},
    {0x0037, 0x09},
    {0x0038, 0x01},
    {0x0039, 0x0a},
    {0x003a, 0x01},
    {0x003b, 0x53},
    {0x003c, 0x19},
    {0x003d, 0x00},
    {0x003e, 0x00},
    {0x0041, 0xaa},
    {0x0042, 0xaa},
    {0x0043, 0x06},
    {0x0044, 0x00},
    {0x0045, 0x00},
    {0x0046, 0x55},
    {0x0047, 0x55},
    {0x0048, 0x15},
    {0x0049, 0x00},
    {0x004a, 0x00},
    {0x004b, 0x00},
    {0x004c, 0x00},
    {0x004d, 0x00},
    {0x004e, 0x00},
    {0x004f, 0xff},
    {0x0050, 0xff},
    {0x0051, 0x3f},
    {0x0052, 0x00},
    {0x0053, 0x00},
    {0x0054, 0x00},
    {0x0056, 0x00},
    {0x0057, 0xa0},
    {0x0058, 0x01},
    {0x0059, 0x3f},
    {0x0078, 0x00},
    {0x0079, 0x00},
    {0x007a, 0x00},
    {0x007b, 0x00},
    {0x007c, 0x00},
    {0x007d, 0x80},
    {0x007e, 0x00},
    {0x0084, 0x0f},
    {0x0087, 0x00},
    {0x0088, 0x00},
    {0x008a, 0x0f},
    {0x008b, 0x09},
    {0x008c, 0x00},
    {0x008d, 0x00},
    {0x008e, 0x00},
    {0x0092, 0x00},
    {0x009b, 0x00},
    {0x00a7, 0x05},
    {0x00c3, 0x79},
    {0x00cd, 0x00},
    {0x00ce, 0x00},
    {0x00cf, 0x00},
    {0x00d0, 0x00},
    {0x00d1, 0x00},
    {0x0405, 0x00},
    {0x0409, 0xbf}
};

const TPS6594_DATA page1Image[PAGE1_DATA_SIZE] =
{
    {0x0100, 0x02},
    {0x0101, 0x43},
    {0x0102, 0x01},
    {0x0103, 0x03},
    {0x0104, 0x03},
    {0x0105, 0x07},
    {0x0106, 0x07},
    {0x0107, 0x02},
    {0x0108, 0x00},
    {0x0109, 0x00},
    {0x010a, 0x54},
    {0x010b, 0x7f},
    {0x010c, 0x0c},
    {0x010d, 0x33},
    {0x010e, 0x55},
    {0x010f, 0x6d},
    {0x0110, 0x2a},
    {0x0111, 0xd5},
    {0x0112, 0x83},
    {0x0113, 0x23},
    {0x0114, 0x09},
    {0x0115, 0x38},
    {0x0116, 0x00},
    {0x0117, 0x43},
    {0x0118, 0x25},
    {0x0119, 0x80},
    {0x011a, 0x00},
    {0x011b, 0x0b},
    {0x011c, 0xf6},
    {0x011d, 0x88},
    {0x011e, 0x88},
    {0x011f, 0x88},
    {0x0120, 0x00},
    {0x0121, 0x05},
    {0x0122, 0x2c},
    {0x0123, 0x12},
    {0x0124, 0x00},
    {0x0125, 0x02},
    {0x0126, 0x02},
    {0x0127, 0x09},
    {0x0128, 0x01},
    {0x0133, 0x0f},
    {0x0134, 0x00},
    {0x0135, 0x10},
    {0x013f, 0x01},
    {0x0140, 0xc7},
    {0x0142, 0x00},
    {0x0143, 0x00},
    {0x0145, 0x53},
    {0x0146, 0x00},
    {0x0147, 0x00},
    {0x0148, 0x00},
    {0x0149, 0x00},
    {0x014a, 0x06}
};

const uint8_t page3sub0Image[PAGE3_DATA_SIZE] =
{
    0x0a, 0x80, 0xe2, 0x1f, 0x1a, 0x88, 0xc0, 0x14,
    0x2a, 0x08, 0x20, 0x08, 0x3a, 0xa6, 0x40, 0x2b,
    0x4a, 0x08, 0x00, 0x30, 0x5a, 0x98, 0x20, 0x08,
    0x6a, 0xfe, 0x3c, 0x00, 0xeb, 0xfd, 0xff, 0xff,
    0xec, 0x81, 0x78, 0xd0, 0x82, 0x48, 0x60, 0x84,
    0x3b, 0x45, 0x6b, 0x84, 0xfb, 0x4a, 0x6a, 0x84,
    0xfb, 0x45, 0x63, 0x84, 0x3b, 0x4a, 0x64, 0x84,
    0x3b, 0xd5, 0x3d, 0x4f, 0x68, 0x84, 0xfb, 0x45,
    0x62, 0x84, 0x3b, 0xd5, 0x3e, 0x82, 0x27, 0x1d,
    0x18, 0x78, 0xd2, 0x65, 0xd3, 0x82, 0xb6, 0xfc,
    0xff, 0xff, 0xcf, 0x2e, 0x88, 0x0f, 0x2d, 0x35,
    0x78, 0xd2, 0x81, 0x80, 0x27, 0xed, 0x23, 0x8e,
    0x00, 0x1c, 0xde, 0x01, 0x1c, 0xdd, 0xe3, 0xce,
    0x00, 0x1c, 0xae, 0x00, 0x1c, 0xa4, 0x02, 0xb8,
    0x9f, 0x0e, 0x02, 0x1c, 0x04, 0x02, 0xb8, 0x9f,
    0x3e, 0x8c, 0x8e, 0x6b, 0xfe, 0xff, 0xff, 0xec,
    0x82, 0xf8, 0xd0, 0x81, 0xe0, 0x04, 0xc0, 0xe1,
    0x08, 0xc0, 0xe1, 0x0a, 0xc0, 0xe1, 0x0c, 0xc0,
    0xe1, 0x1d, 0xc0, 0xe1, 0x1e, 0xc0, 0xe1, 0x1f,
    0xc0, 0xe1, 0x20, 0xc0, 0xd1, 0x81, 0x18, 0x8b,
    0x2c, 0xa0, 0xa4, 0x1f, 0x7e, 0x40, 0x2c, 0x92,
    0xb0, 0xbf, 0xff, 0xff, 0xcf, 0x78, 0xd2, 0x81,
    0xd0, 0x3e, 0xe2, 0xc3, 0xf8, 0xd8, 0x52, 0xd2,
    0x82, 0xd9, 0x81, 0xb5, 0xde, 0xff, 0xff, 0xcf,
    0x5d, 0x36, 0xab, 0xff, 0xff, 0xff, 0x0c, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

const uint8_t page3sub1Image[PAGE3_DATA_SIZE] =
{
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};

const uint8_t page3sub2Image[PAGE3_DATA_SIZE] =
{
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
    0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00
};
